summaryrefslogtreecommitdiff
path: root/git-rebase--merge.sh
diff options
context:
space:
mode:
authorLibravatar Phillip Wood <phillip.wood@dunelm.org.uk>2018-03-20 11:10:55 +0000
committerLibravatar Junio C Hamano <gitster@pobox.com>2018-03-29 11:09:03 -0700
commita852ec7f273cf61296a80ddfc26c23acf2163f2f (patch)
tree6abd2e0b2cb0e5b1de53c303950d4c661d341921 /git-rebase--merge.sh
parentMerge branch 'pw/rebase-keep-empty-fixes' into pw/rebase-signoff (diff)
downloadtgif-a852ec7f273cf61296a80ddfc26c23acf2163f2f.tar.xz
rebase: extend --signoff support
Allow --signoff to be used with --interactive and --merge. In interactive mode only commits marked to be picked, edited or reworded will be signed off. The main motivation for this patch was to allow one to run 'git rebase --exec "make check" --signoff' which is useful when preparing a patch series for publication and is more convenient than doing the signoff with another --exec command. This change also allows --root without --onto to work with --signoff as well (--root with --onto was already supported). Signed-off-by: Phillip Wood <phillip.wood@dunelm.org.uk> Signed-off-by: Junio C Hamano <gitster@pobox.com>
Diffstat (limited to 'git-rebase--merge.sh')
-rw-r--r--git-rebase--merge.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/git-rebase--merge.sh b/git-rebase--merge.sh
index 06a4723d4d..9a60cef052 100644
--- a/git-rebase--merge.sh
+++ b/git-rebase--merge.sh
@@ -27,7 +27,7 @@ continue_merge () {
cmt=$(cat "$state_dir/current")
if ! git diff-index --quiet --ignore-submodules HEAD --
then
- if ! git commit ${gpg_sign_opt:+"$gpg_sign_opt"} --no-verify -C "$cmt"
+ if ! git commit ${gpg_sign_opt:+"$gpg_sign_opt"} $signoff --no-verify -C "$cmt"
then
echo "Commit failed, please do not call \"git commit\""
echo "directly, but instead do one of the following: "